Module:Message box/ambox.css:修订间差异

删除的内容 添加的内容
TemplateStyles: Module:Message box/ambox.css 样式
 
替换为 mworg 版 ambox.css
 
第1行:
/**
/* {{ambox}} 条目消息框样式 */
* {{ambox}} (article message box) styles
.ambox {
*
border: 1px solid #a2a9b1;
* @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
border-left: 10px solid #36c;
* @revision 2021-07-15
background-color: #f8f9fa;
*/
color: #202122;
table.ambox {
margin: 0.5em 0;
/* 10% = Will not overlap with other elements */
padding: 3px;
widthmargin: 1000 10%;
/* Prevent overflow in narrow screens (<=850px) in the Timeless skin.
See [[Skin:Timeless#Less than 851 pixels]]
and https://phabricator.wikimedia.org/source/Timeless/browse/REL1_39/resources/screen-mobile.less$268 */
width: unset;
border: 1px solid var(--border-color-base, #a2a9b1);
/* Default "notice" blue */
border-left: 10px solid var(--border-color-progressive, #36c);
background-color: var(--background-color-neutral-subtle, #f8f9fa);
box-sizing: border-box;
}
 
/* Single border between stacked boxes. */
.ambox-speedy {
table.ambox + table.ambox,
border-left-color: #b32424;
table.ambox + link + table.ambox,
table.ambox + style + table.ambox {
margin-top: -1px;
}
 
/* An empty narrow cell */
.ambox-delete {
.ambox td.mbox-empty-cell {
border-left-color: #b32424;
border: none;
padding: 0;
width: 1px;
}
 
/* The message body cell(s) */
.ambox-content {
.ambox th.mbox-text,
border-left-color: #f28500;
.ambox td.mbox-text {
border: none;
/* 0.5em left/right */
padding: 0.25em 0.5em;
/* Make all mboxes the same width regardless of text length */
width: 100%;
}
 
/* The left image cell */
.ambox-style {
.ambox td.mbox-image {
border-left-color: #fc3;
/* 0.5em left, 0px right */
/* @noflip */
padding: 2px 0 2px 0.5em;
}
 
/* The right image cell */
.ambox-move {
.ambox td.mbox-imageright {
border-left-color: #9932cc;
/* 0px left, 0.5em right */
/* @noflip */
padding: 2px 0.5em 2px 0;
}
 
table.ambox-protectionnotice {
/* Blue */
border-left-color: #a2a9b1;
border-left-color: var(--border-color-progressive, #36c);
}
 
table.ambox-noticespeedy {
/* Pink */
border-left-color: #36c;
background-color: var(--background-color-error-subtle, #fee7e6);
}
 
table.ambox .mbox-image {delete,
table.ambox-speedy {
border: none;
/* Red */
padding: 2px 0 2px 0.9em;
border-left-color: var(--background-color-error--active, #b32424);
text-align: center;
width: 52px;
}
 
table.ambox .mbox-image divcontent {
/* Orange */
width: 52px;
border-left-color: #f28500;
}
 
table.ambox .mbox-textstyle {
/* Yellow */
border: none;
border-left-color: #fc3;
padding: 0.25em 0.9em;
width: 100%;
}
 
table.ambox .mbox-text-spanmove {
/* Purple */
display: block;
border-left-color: #9932cc;
}
 
table.ambox-protection {
.ambox .mbox-text .hide-when-compact {
/* Gray-gold */
display: none;
border-left-color: var(--border-color-base, #a2a9b1);
}
 
/**
/* 小号 ambox */
* {{ambox|small=1}} styles
.mbox-small-left .mbox-text-span {
*
* These ".mbox-small" classes must be placed after all other
* ".ambox" classes. "html body.mediawiki .ambox"
* is so they override both "table.ambox + table.ambox"
* and "table.ambox + link + table.ambox" above.
*
* @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
* @revision 2021-07-15
*/
 
/* For the "small=yes" option. */
html body.mediawiki .ambox.mbox-small {
clear: right;
float: right;
margin: 4px 0 4px 1em;
box-sizing: border-box;
width: 238px;
font-size: 88%;
line-height: 1.25em;
}
 
.mbox-/* For the "small-=left" option. {*/
html body.mediawiki .ambox.mbox-small-left {
margin: 0;
margin: 4px 1em 4px 0;
box-sizing: border-box;
overflow: hidden;
width: 238px;
border-collapse: collapse;
font-size: 88%;
line-height: 1.25em;
}